Subject: Re: linux-next: build failure after merge of the mm tree

From: Christian Brauner <[email-masked]>
Date: Mon, 27 Feb 2023 11:36:44 +0100

On Mon, Feb 27, 2023 at 09:18:03AM +1100, Stephen Rothwell wrote:
> Hi Christian,
> 
> On Mon, 30 Jan 2023 09:09:56 +0100 Christian Brauner <[email-masked]> wrote:
> >
> > On Mon, Jan 30, 2023 at 04:14:14PM +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > After merging the mm tree, today's linux-next build (powerpc
> > > ppc64_defconfig) failed like this:
> > > 
> > > kernel/sys.c: In function '__do_sys_prctl':
> > > kernel/sys.c:2664:9: error: duplicate case value
> > >  2664 |         case PR_SET_HIDE_SELF_EXE:
> > >       |         ^~~~
> > > kernel/sys.c:2655:9: note: previously used here
> > >  2655 |         case PR_SET_MDWE:
> > >       |         ^~~~
> > > kernel/sys.c:2669:9: error: duplicate case value
> > >  2669 |         case PR_GET_HIDE_SELF_EXE:
> > >       |         ^~~~
> > > kernel/sys.c:2658:9: note: previously used here
> > >  2658 |         case PR_GET_MDWE:
> > >       |         ^~~~
> > > 
> > > Caused by commit
> > > 
> > >   ab30677b499c ("mm: implement memory-deny-write-execute as a prctl")
> > > 
> > > interacting with commit
> > > 
> > >   966eb1ba050d ("exec: add PR_HIDE_SELF_EXE prctl")
> > > 
> > > from the pidfd tree.
> > > 
> > > I have applied the following merge fix patch.
> > > 
> > > From: Stephen Rothwell <[email-masked]>
> > > Date: Mon, 30 Jan 2023 16:08:34 +1100
> > > Subject: [PATCH] mm: fixup for "mm: implement memory-deny-write-execute as a prctl"
> > > 
> > > interacting with
> > > 
> > >   966eb1ba050d ("exec: add PR_HIDE_SELF_EXE prctl")
> > > 
> > > Signed-off-by: Stephen Rothwell <[email-masked]>
> > > ---  
> > 
> > Thanks Stephen,
> > 
> > I'm moving this out of -next for now until we've settled a few more
> > details.
> 
> I am still applying this to the merge of the pidfd tree.  Also I
> noticed that a similar fixup will need to be applied to
> tools/testing/selftests/prctl/hide-self-exe.c

Sorry Stephen, I forgot to drop the patches from this branch. I dropped
them now. Let me know if you still see issues.